For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
      • GETGet a list of all participant groups within a project or workspace
      • POSTCreate a new participant group within a workspace
      • GETGet a participant group
      • DELDelete a participant group
      • PATCHUpdate a participant group
      • GETGet a list of all participants within a participant group
      • POSTAdd participants to a participant group
      • DELRemove participants from a participant group
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceParticipant Groups

Get a list of all participants within a participant group

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/participant-groups/:id/participants/
GET
/api/v1/participant-groups/:id/participants/
$curl https://api.prolific.com/api/v1/participant-groups/id/participants/ \
> -H "Authorization: Token <token>"
1{
2 "results": [
3 {
4 "participant_id": "5e9b9c9b0f9c9a0001b0b1f5",
5 "datetime_created": "2020-04-20T12:00:00Z"
6 }
7 ]
8}
Was this page helpful?
Previous

Update a participant group

Next

Add participants to a participant group

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired
The id of the participant group to get participants for

Response

Request successful.
resultslist of objects

Errors

4XX
Client Request Error